> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revoengine.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule trigger now.

> 
    ROLES: AUTOMATION_RUNNER,AUTOMATION_ADMIN
    USER: true
    SERVICE ACCOUNT: true
    



## OpenAPI

````yaml post /api/v1/automation/schedule/{scheduleId}/run
openapi: 3.0.0
info:
  title: RevoEngine Platform API
  description: >-
    Official documentation of RevoEngine Platform API<br>Build:
    67df453bb5b0f9b2894535729c66632b73a015a6
  version: Beta - 0.1.0
  contact:
    name: Support
    url: https://help.revong.com
    email: support@revong.com
  termsOfService: https://docs.revong.com/tos
servers:
  - url: https://api.revong.com
    description: RevoEngine Platform API - Production
  - url: https://api.test.revong.com
    description: RevoEngine Platform API - Test
security: []
tags: []
externalDocs:
  description: Documentation
  url: https://docs.revong.com
paths:
  /api/v1/automation/schedule/{scheduleId}/run:
    post:
      tags:
        - Automation
      summary: Schedule trigger now.
      description: |2-

            ROLES: AUTOMATION_RUNNER,AUTOMATION_ADMIN
            USER: true
            SERVICE ACCOUNT: true
            
      operationId: AutomationController_runSchedule
      parameters:
        - name: scheduleId
          required: true
          in: path
          schema:
            type: string
      responses:
        '201':
          description: Job scheduled.
        '403':
          description: Forbidden.
        '404':
          description: Not found.
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token with Platform JWT token or API Key.
      type: http

````